package net.roseindia.web;
import java.util.regex.*;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

import net.roseindia.web.User;

public class UserValidator implements Validator {

   @Override
    public boolean supports(Class clazz) {
        return User.class.isAssignableFrom(clazz);
    }
    public void validate(Object obj, Errors errors) {
    	User user = (User) obj;     

    	if ((user.getEmailid() != "") || (user.getEmailid().length()) != 0) {    		
    		Pattern p=Pattern.compile(".+@.+\\.[a-z]+");
        	Matcher m=p.matcher(user.getEmailid());
        	boolean b=m.matches();
        	if(b!=true)
        	{
        		 errors.rejectValue("emailid", "error.is.not.valid", "Email ID does not Valid ");    		
        	}
        }
    	
    	if ((user.getContact() != "") || (user.getContact().length()) != 0) {    		
    			Pattern pattern = Pattern.compile("\\d{1}-\\d{4}-\\d{6}");
    			Matcher matcher = pattern.matcher(user.getContact());
    			boolean con=matcher.matches();
    			if(con!=true)
    				{
    					errors.rejectValue("contact", "error.is.not.valid", "Enter Contact Number Like 0-9999-999999");
    				}
        }
    	if ((user.getDob() != "") || (user.getDob().length()) != 0) {    		
			Pattern pattern = Pattern.compile("\\d{2}/\\d{2}/\\d{4}");
			Matcher matcher = pattern.matcher(user.getDob());
			boolean DOB=matcher.matches();
			if(DOB!=true)
				{
					errors.rejectValue("dob", "error.is.not.valid", "Enter Date of birth Like 01/02/1986 ");
				}
    }
    	if (user.getName() == null || user.getName().length() == 0) {
            errors.rejectValue("name", "error.empty.field", "Please Enter Name");
        }        
        if (user.getDob() == null || user.getDob().length() == 0) {
            errors.rejectValue("dob", "error.empty.field", "Please Enter Date Of Birth");
        }        
        if (user.getContact() == null || user.getContact().length() == 0) {
            errors.rejectValue("contact", "error.empty.field", "Please Enter Contact Number");
        }        
        if (user.getEmailid() == null || user.getEmailid().length() == 0) {
            errors.rejectValue("emailid", "error.empty.field", "Please Enter Email ID");
        }
        if (user.getQualification() == null || user.getQualification().length() == 0) {
            errors.rejectValue("qualification", "error.empty.field", "Please Enter Qualification");
        }
        if (user.getAddress() == null || user.getAddress().length() == 0) {
            errors.rejectValue("address", "error.empty.field", "Please Enter Address");
        }
    }
}



 
